<?php
/**
 * @author Abhimanyu Sharma <abhimanyusharma003@gmail.com>
 */
use Hackersnews\Repository\PostsRepositoryInterface;

class BrowseController extends BaseController
{
    public function __construct(PostsRepositoryInterface $posts)
    {
        $this->posts = $posts;
    }

    public function getTrending()
    {
        $posts = $this->posts->getTrending(null, Input::get('category'));
        return View::make('post.list')->with('title', t('Trending'))->with('posts', $posts);
    }

    public function getLatest()
    {
        $posts = $this->posts->getLatest(null, Input::get('category'));
        return View::make('post.list')->with('title', t('Latest'))->with('posts', $posts);
    }

    public function getFeatured()
    {
        $posts = $this->posts->getFeatured(null, Input::get('category'));
        return View::make('post.list')->with('title', t('Featured'))->with('posts', $posts);
    }
}