<?php

namespace Controllers\Admin\Reports;

use DB, View;
use Hackersnews\Repository\FlagsRepositoryInterface;
use Report;

class ReportsController extends \BaseController
{

    /**
     * @var \Hackersnews\Repository\FlagsRepositoryInterface
     */
    private $flags;

    public function  __construct(FlagsRepositoryInterface $flags)
    {
        $this->flags = $flags;
    }

    public function getReports()
    {
        $reports = $this->flags->getAll();
        return View::make('admin/reports/index')
            ->with('reports', $reports)
            ->with('title', 'Latest Reports');
    }

    public function getReadReport($id)
    {
        $report = Report::with('user')->find($id);
        $report->solved = '1';
        $report->save();
        return View::make('admin/reports/read')
            ->with('title', 'Full Report')
            ->with('report', $report);
    }
}