<?php
/**
 * @author Abhimanyu Sharma <abhimanyusharma003@gmail.com>
 */
namespace Hackersnews\Mailers;

use Illuminate\Support\Facades\Config;
use Mail;

abstract class Mailer {

    /**
     * @param       $user
     * @param       $subject
     * @param       $view
     * @param array $data
     */
    public function sendTo($user, $subject, $view, $data = array())
    {
        if (Config::get('mail.from.address'))
        {
            Mail::queue($view, $data, function ($message) use ($user, $subject)
            {
                $message->to($user->email)->subject($subject);
            });
        }
    }
}