<?php

/**
 * @author Abhimanyu Sharma <abhimanyusharma003@gmail.com>
 */
class Comment extends Eloquent {

    protected $table = 'comments';

    public function getCommentPaginatedAttribute()
    {
        return $this->posts()->paginate(10);
    }

    public function user()
    {
        return $this->belongsTo('User', 'user_id');
    }

    public function reply()
    {
        return $this->hasMany('Reply');
    }

    public function post()
    {
        return $this->belongsTo('Post', 'post_id');
    }

    public function votes()
    {
        return $this->hasMany('CommentsVotes', 'comment_id');
    }
}