<nav class="navbar navbar-inverse navbar-fixed-top" role="navigation" style="margin-bottom: 0">
    <div class="navbar-header">
        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".sidebar-collapse">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
        </button>
        <a class="navbar-brand" href="{{ route('home') }}">{{ siteSettings('siteName') }} </a>
    </div>
    <!-- /.navbar-header -->

    <ul class="nav navbar-top-links navbar-right user-links-navbar">

        @if(Auth::check())
        <li class="dropdown">
            <a  href="{{ route('notifications') }}">
                <i class="fa fa fa-bell fa-fw"></i> <span class="badge">{{ (Auth::user()->notifications()->whereNull('seen_at')->count() > 0  ? Auth::user()->notifications()->whereNull('seen_at')->count() :false) }}</span>
            </a>
        <li class="dropdown">
            <a class="dropdown-toggle" data-toggle="dropdown" href="#">
                <i class="fa fa-user fa-fw"></i> <i class="fa fa-caret-down"></i>
            </a>
            <ul class="dropdown-menu dropdown-user">
                <li><a href="{{ route('user',Auth::user()->username)}}"><i class="fa fa-user fa-fw"></i> {{ t('My Profile')}}</a>
                </li>
                <li><a href="{{ route('settings')}}"><i class="fa fa-gear fa-fw"></i> {{ t('Settings') }}</a>
                </li>
                <li class="divider"></li>
                <li><a href="{{ route('logout')}}"><i class="fa fa-sign-out fa-fw"></i> {{ t('Logout')}}</a>
                </li>
            </ul>
            <!-- /.dropdown-user -->
        </li>
        <!-- /.dropdown -->
        @else
        <li>{{ link_to_route('login',t('Login')) }}</li>
        <li>{{ link_to_route('registration',t('Create Account')) }}</li>
        @endif
    </ul>
    <!-- /.navbar-top-links -->

    <div class="navbar-default navbar-static-side sidebar-extra" role="navigation">
        <div class="sidebar-collapse">
            <ul class="nav" id="side-menu">
                <li>
                    <a href="{{ route('trending') }}"><i class="fa fa-signal fa-fw"></i> {{ t('Trending') }}</a>
                </li>
                <li>
                    <a href="{{ route('latest') }}"><i class="fa fa-clock-o fa-fw"></i> {{ t('Latest') }}</a>
                </li>
                <li>
                    <a href="{{ route('featured') }}"><i class="fa fa-star-o fa-fw"></i> {{ t('Featured') }}</a>
                </li>

                <li class="">
                    <a href="#"><i class="fa fa-info fa-fw"></i> {{ t('News') }}<span class="fa arrow"></span></a>
                    <ul class="nav nav-second-level collapse" style="height: 0px;">
                        <li>
                            <a href="{{ route('news-trending') }}">{{ t('Trending')}}</a>
                        </li>
                        <li>
                            <a href="{{ route('news-latest') }}">{{ t('Latest') }}</a>
                        </li>
                        <li>
                            <a href="{{ route('news-featured') }}">{{ t('Featured')}}</a>
                        </li>
                    </ul>
                    <!-- /.nav-second-level -->
                </li>

                <li class="">
                    <a href="#"><i class="fa fa-question fa-fw"></i> {{ t('Questions') }}<span class="fa arrow"></span></a>
                    <ul class="nav nav-second-level collapse" style="height: 0px;">
                        <li>
                            <a href="{{ route('questions-trending') }}">{{ t('Trending')}}</a>
                        </li>
                        <li>
                            <a href="{{ route('questions-latest') }}">{{ t('Latest') }}</a>
                        </li>
                        <li>
                            <a href="{{ route('questions-featured') }}">{{ t('Featured')}}</a>
                        </li>
                    </ul>
                    <!-- /.nav-second-level -->
                </li>
                <li>
                    <a href="{{ route('news-submit') }}"><i class="fa fa-plus fa-fw"></i> {{ t('Submit') }}</a>
                </li>
                <li>
                    <a href="{{ route('question-submit') }}"><i class="fa fa-question fa-fw"></i> {{ t('Question Submit') }}</a>
                </li>
                <li class="sidebar-search">
                    {{ Form::open(array('url'=>'search', 'method' => 'get')) }}
                    <div class="input-group custom-search-form">
                        <input type="text" name="q" class="form-control" placeholder="{{ t('Search') }}...">
                             <span class="input-group-btn">
                                <button class="btn btn-default" type="submit">
                                    <i class="fa fa-search"></i>
                                </button>
                            </span>
                    </div>
                    {{ Form::close() }}
                    <!-- /input-group -->
                </li>
            </ul>
            <!-- /#side-menu -->
        </div>
        <!-- /.sidebar-collapse -->
    </div>
    <!-- /.navbar-static-side -->
</nav>