@extends('master/index')

@section('page-content')
<div class="row">
    <h1 class="page-header">{{ t('Profile Settings')}}</h1>
    <!-- /.col-lg-12 -->
</div>

<div class="row">
    @if(extension_loaded('fileinfo'))
    {{ Form::open(array('url' => 'settings/avatar', 'files' => TRUE,'role'=>'form')) }}
    <div class="form-group">
        <label for="avatar">{{ t('Avatar') }}</label>
        <input type="file" name="avatar"/>
    </div>
    <div class="form-group">
        {{ Form::submit(t('Update Avatar'),array('class'=>'btn btn-default btn-success')) }}
    </div>
    {{ Form::close() }}

    <h3 class="page-header">{{ t('Basic Settings')}}</h3>

    @endif

    {{ Form::open(array('url'=>'settings/profile')) }}
    <div class="form-group">
        <label for="fullname">{{ t('Fullname') }}</label>
        {{ Form::text('fullname',Auth::user()->fullname,array('class'=>'form-control','placeholder' => t('Fullname'))) }}
    </div>

    <div class="form-group">
        <label for="gender">{{ t('Gender') }}<small>*</small></label>
        {{ Form::select('gender', array('male' => 'Male', 'female' => 'Female'), Auth::user()->gender, array('id'=>'gender','class'=>'form-control','required'=>'required')) }}
    </div>

    <div class="form-group">
        <label for="blogurl">Facebook Profile
            <small>( Your Facebook Profile or Page Link )</small>
        </label>
        {{ Form::text('fbLink',Auth::user()->fb_link,array('class'=>'form-control')) }}
    </div>

    <div class="form-group">
        <label for="blogurl">Twitter Profile
            <small>( Your Twitter Profile Link )</small>
        </label>
        {{ Form::text('twLink',Auth::user()->tw_link,array('class'=>'form-control')) }}
    </div>

    <div class="form-group">
        <label for="blogurl">Blog url
            <small>( Your blog or social profile url )</small>
        </label>
        {{ Form::text('blogurl',Auth::user()->blogurl,array('class'=>'form-control')) }}
    </div>

    <div class="form-group">
        {{ Form::submit(t('Submit'),array('class'=>'btn btn-info')) }}
    </div>

    {{ Form::close() }}


    <h3 class="page-header">{{ t('Email Settings')}}</h3>
    {{ Form::open(array('url' => 'settings/mailsettings')) }}
    <div class="form-group">
        <label for="emailcomment">{{ t('Email me when someone comment') }}</label>
        {{ Form::checkbox('emailcomment',1,Auth::user()->email_comment) }}
    </div>
    <div class="form-group">
        <label for="emailreply">{{ t('Email me when someone reply on my comment') }}</label>
        {{ Form::checkbox('emailreply',1,Auth::user()->email_reply) }}
    </div>
    <div class="form-group">
        <label for="emailfavorite">{{ t('Email me when someone upvote my posts') }}</label>
        {{ Form::checkbox('emailfavorite',1,Auth::user()->email_favorite) }}
    </div>
    <div class="form-group">
        <label for="emailfollow">{{ t('Email me when someone follow me') }}</label>
        {{ Form::checkbox('emailfollow',1,Auth::user()->email_follow) }}
    </div>
    <div class="form-group">
        {{ Form::submit(t('Update Mail Settings'),array('class'=>'btn btn-default btn-success')) }}
    </div>
    {{ Form::close() }}

    <h3 class="page-header">{{ t('Change Password')}}</h3>
    {{ Form::open(array('url'=>'settings/changepassword')) }}
    <div class="form-group">
        <label for="currentpassword">{{ t('Current Password') }}</label>
        {{ Form::password('currentpassword',array('class'=>'form-control')) }}
    </div>
    <div class="form-group">
        <label for="password">{{ t('New Password') }}</label>
        {{ Form::password('password',array('class'=>'form-control')) }}
    </div>
    <div class="form-group">
        <label for="password_confirmation">{{ t('Confirm Password') }}</label>
        {{ Form::password('password_confirmation',array('class'=>'form-control')) }}
    </div>

    <div class="form-group">
        {{ Form::submit(t('Change Password'),array('class'=>'btn btn-danger btn-success')) }}
    </div>


    {{ Form::close() }}
</div>
@stop